Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.message
Class ConnectionInfo

    java.lang.Object
      org.codehaus.activemq.message.AbstractPacket
          org.codehaus.activemq.message.ConnectionInfo

All Implemented Interfaces:
  Packet

public class ConnectionInfo
extends AbstractPacket

Describes a Connection

Version:
  $Revision: 1.7 $

Field Summary
`(package private) java.lang.String` | `clientId`
`(package private) boolean` | `closed`
`(package private) java.lang.String` | `hostName`
`(package private) java.lang.String` | `password`
`(package private) java.util.Properties` | `properties`
`(package private) boolean` | `started`
`(package private) long` | `startTime`
`(package private) java.lang.String` | `userName`

Fields inherited from interface org.codehaus.activemq.message.Packet
`ACTIVEMQ_BROKER_INFO, ACTIVEMQ_BYTES_MESSAGE, ACTIVEMQ_CONNECTION_INFO, ACTIVEMQ_MAP_MESSAGE, ACTIVEMQ_MESSAGE, ACTIVEMQ_MSG_ACK, ACTIVEMQ_OBJECT_MESSAGE, ACTIVEMQ_STREAM_MESSAGE, ACTIVEMQ_TEXT_MESSAGE, CAPACITY_INFO, CAPACITY_INFO_REQUEST, CONSUMER_INFO, DURABLE_UNSUBSCRIBE, INT_RESPONSE_RECEIPT_INFO, PRODUCER_INFO, RECEIPT_INFO, RESPONSE_RECEIPT_INFO, SESSION_INFO, TRANSACTION_INFO, XA_TRANSACTION_INFO`

Constructor Summary
`ConnectionInfo()`

Method Summary
`boolean` | `equals(java.lang.Object obj)` Test for equality
`java.lang.String` | `getClientId()`
`java.lang.String` | `getHostName()`
`int` | `getPacketType()` Return the type of Packet
`java.lang.String` | `getPassword()`
`java.util.Properties` | `getProperties()`
`long` | `getStartTime()`
`java.lang.String` | `getUserName()`
`int` | `hashCode()`
`boolean` | `isClosed()`
`boolean` | `isStarted()`
`void` | `setClientId(java.lang.String newClientId)`
`void` | `setClosed(boolean closed)`
`void` | `setHostName(java.lang.String newHostName)`
`void` | `setPassword(java.lang.String newPassword)`
`void` | `setProperties(java.util.Properties newProperties)`
`void` | `setStarted(boolean started)`
`void` | `setStartTime(long newStartTime)`
`void` | `setUserName(java.lang.String newUserName)`

Methods inherited from class org.codehaus.activemq.message.AbstractPacket
`decrementMemoryReferenceCount, equals, getId, getMemoryUsage, getMemoryUsageReferenceCount, getPacketTypeAsString, incrementMemoryReferenceCount, isJMSMessage, isReceipt, isReceiptRequired, setId, setMemoryUsage, setReceiptRequired, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### clientId

    java.lang.String clientId

### userName

    java.lang.String userName

### password

    java.lang.String password

### hostName

    java.lang.String hostName

### startTime

    long startTime

### started

    boolean started

### closed

    boolean closed

### properties

    java.util.Properties properties

Constructor Detail

### ConnectionInfo

    public ConnectionInfo()

Method Detail

### getPacketType

    public int getPacketType()

  Return the type of Packet

  Returns:
    integer representation of the type of Packet

### equals

    public boolean equals(java.lang.Object obj)

  Test for equality

  Overrides:
    `equals` in class `AbstractPacket`
  Parameters:
    `obj` - object to test
  Returns:
    true if equivalent

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `AbstractPacket`
  Returns:
    hash code for instance

### getClientId

    public java.lang.String getClientId()

  Returns:
    Returns the clientId.

### setClientId

    public void setClientId(java.lang.String newClientId)

  Parameters:
    `newClientId` - The clientId to set.

### getHostName

    public java.lang.String getHostName()

  Returns:
    Returns the hostName.

### setHostName

    public void setHostName(java.lang.String newHostName)

  Parameters:
    `newHostName` - The hostName to set.

### getPassword

    public java.lang.String getPassword()

  Returns:
    Returns the password.

### setPassword

    public void setPassword(java.lang.String newPassword)

  Parameters:
    `newPassword` - The password to set.

### getProperties

    public java.util.Properties getProperties()

  Returns:
    Returns the properties.

### setProperties

    public void setProperties(java.util.Properties newProperties)

  Parameters:
    `newProperties` - The properties to set.

### getStartTime

    public long getStartTime()

  Returns:
    Returns the startTime.

### setStartTime

    public void setStartTime(long newStartTime)

  Parameters:
    `newStartTime` - The startTime to set.

### getUserName

    public java.lang.String getUserName()

  Returns:
    Returns the userName.

### setUserName

    public void setUserName(java.lang.String newUserName)

  Parameters:
    `newUserName` - The userName to set.

### isStarted

    public boolean isStarted()

  Returns:
    Returns the started.

### setStarted

    public void setStarted(boolean started)

  Parameters:
    `started` - The started to set.

### isClosed

    public boolean isClosed()

  Returns:
    Returns the closed.

### setClosed

    public void setClosed(boolean closed)

  Parameters:
    `closed` - The closed to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.